<?php
// Custom callback to list comments
function fl_custom_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	$GLOBALS['comment_depth'] = $depth;

	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
?>
			<li class="pingback">
				<?php comment_author_link(); ?>
<?php
			break;
		default :
?>

			<li <?php comment_class(); ?>>
			
				<div class="items">
				
					<div class="rt clearfix">

						<a name="comment-<?php comment_ID() ?>"></a>
						
						<?php if( get_comment_type() == 'comment' ) { ?>

							<?php echo get_avatar($comment, 58 ); ?>
							
						<?php } ?>
						
						<div class="bar <?php echo get_comment_type(); ?>">
				
							<?php comment_author_link(); ?>
							
							<span class="date-wrap iconfix"><span class="date"><i class="fa fa-calendar"></i><?php comment_time(get_option('date_format')); ?></span><span class="time"><i class="fa fa-clock-o"></i><?php comment_time(get_option('time_format')); ?></span></span>
							
						</div> <!-- #bar -->
						
						<?php comment_text(); ?>
						
						<?php if ( $comment->comment_approved == '0' ) { ?>

							<p class='unapproved'><?php _e( 'Your comment is awaiting moderation.', APP_TD ); ?></p>

						<?php } ?>
			
						<?php comment_reply_link(array_merge( $args, array(
							'reply_text' => '<i class="fa fa-reply"></i><span>' . __( 'Reply', APP_TD ) . '</span>',
							'login_text' => __( 'Log in to reply.', APP_TD ),
							'respond_id' => 'respond',
							'before' => '',
							'after' => '',
							'depth' => $depth,
							'max_depth' => $args['max_depth']
						))); ?>

		

				</div> <!-- #rt -->

			</div> <!-- #items -->
			
			<div id="comment-<?php comment_ID(); ?>"></div>
			
			<div class="clr"></div>

<?php 
				break;
		endswitch;
}


// list out comments
function fl_list_comments() {
	global $post;

	wp_list_comments( array( 'callback' => 'fl_custom_comment', 'type' => 'comment' ) );
}
add_action( 'appthemes_list_comments', 'fl_list_comments' );
add_action( 'appthemes_list_blog_comments', 'fl_list_comments' );
add_action( 'appthemes_list_page_comments', 'fl_list_comments' );


// list out pings
function fl_list_pings() {
	global $post;

	wp_list_comments( array( 'callback' => 'fl_custom_comment', 'type' => 'pings' ) );
}
add_action( 'appthemes_list_pings', 'fl_list_pings' );
add_action( 'appthemes_list_blog_pings', 'fl_list_pings' );
add_action( 'appthemes_list_page_pings', 'fl_list_pings' );


// main comments form
function fl_main_comment_form() {
	global $post;
?>

	<div id="respond">

		<h2 class="dotted"><?php comment_form_title( __( 'Leave a Reply', APP_TD ), __( 'Leave a Reply to %s', APP_TD ) ); ?></h2>

		<div class="cancel-comment-reply">

			<small><?php cancel_comment_reply_link(); ?></small>

		</div>


		<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>

			<p><?php printf( __( "You must be <a href='%s'>logged in</a> to post a comment.", APP_TD ), wp_login_url( get_permalink() ) ); ?></p>

		<?php else : ?>

			<form action="<?php echo site_url('wp-comments-post.php'); ?>" method="post" id="commentform" class="commentform">

				<?php do_action( 'comment_form_top' ); ?>

				<fieldset class="form-comments">

					<?php if ( is_user_logged_in() ) : global $user_identity; ?>

						<p><?php _e( 'Logged in as', APP_TD ); ?> <a href="<?php echo CP_PROFILE_URL; ?>"><?php echo $user_identity; ?></a>. <a href="<?php echo cp_logout_url(); ?>" title="<?php _e( 'Logout of this account', APP_TD ); ?>"><?php _e( 'Logout', APP_TD ); ?> &raquo;</a></p>

					<?php else : ?>

					<?php
						$commenter = wp_get_current_commenter();
						$req = get_option( 'require_name_email' );
					?>

						<p class="comments">
							<label for="author"><?php _e( 'Name', APP_TD ); ?></label>
							<input type="text" name="author" id="author" class="text required" value="<?php echo esc_attr( $commenter['comment_author'] ); ?>" size="22" tabindex="1" />
						</p>

						<p class="comments">
							<label for="email"><?php _e( 'Email', APP_TD ); ?></label>
							<input type="text" name="email" id="email" class="text required email" value="<?php echo esc_attr(  $commenter['comment_author_email'] ); ?>" size="22" tabindex="2" />                                
						</p>

						<p class="comments">
							<label for="url"><?php _e( 'Website', APP_TD ); ?></label>
							<input type="text" name="url" id="url" class="text" value="<?php echo esc_attr( $commenter['comment_author_url'] ); ?>" size="22" tabindex="3" />
						</p>

					<?php endif; ?>

					<!--<li><small><strong>XHTML:</strong> You can use these tags: <?php echo allowed_tags(); ?></small><div class="clr"></div></li>-->

					<p class="comments-box">
						<label><?php _e( 'Comments:', APP_TD ); ?></label>
						<textarea name="comment" rows="" cols="" id="comment" class="required" tabindex="4"></textarea>
					</p>

					<div class="clr"></div>

					<p class="comments">
						<input name="submit" type="submit" id="submit" tabindex="5" class="btn_orange" value="<?php _e( 'Submit', APP_TD ); ?>" />
						<input type="hidden" name="comment_post_ID" value="<?php echo $post->ID; ?>" />
					</p>

					<?php comment_id_fields(); ?>
					<?php do_action( 'comment_form', $post->ID ); ?>

				</fieldset>

			</form>

		<?php endif; // if logged in ?>

		<div class="clr"></div>

	</div> <!-- /respond -->

<?php
}
add_action( 'appthemes_comments_form', 'fl_main_comment_form' );
add_action( 'appthemes_blog_comments_form', 'fl_main_comment_form' );
add_action( 'appthemes_page_comments_form', 'fl_main_comment_form' );