<?php
// display the login message in the header
if( !function_exists( 'fl_login_head' ) ) {
	function fl_login_head() {

		if ( is_user_logged_in() ) {
			echo html( 'li', html_link( CP_DASHBOARD_URL, __( 'My Dashboard', APP_TD ) ) );
			echo html( 'li', html_link( cp_logout_url(), __( 'Log out', APP_TD ) ) );
		} else {
			echo html( 'li', html_link( appthemes_get_registration_url(), __( 'Register', APP_TD ) ) );
			echo html( 'li', html_link( wp_login_url(), __( 'Login', APP_TD ) ) );
		}

	}
}

if( !function_exists( 'fl_get_color_choices' ) ) {
	function fl_get_color_choices() {
		return array(
			'blue' => 'Blue (Default)',
			'green' => 'Green',
			'red' => 'Red',
			'golden' => 'Golden',
			'dark-blue' => 'Dark Blue',
			'purple' => 'Purple',
			'grey' => 'Grey',
			'bronze' => 'Bronze',
			'brown' => 'Brown',
			'turquoise' => 'Turquoise',
			'charcoal' => 'Charcoal',
		);
	}
}

// processes the entire ad thumbnail logic for featured ads
if ( !function_exists( 'cp_ad_featured_thumbnail' ) ) :
	function cp_ad_featured_thumbnail() {
		global $post, $cp_options;

		// go see if any images are associated with the ad
		$image_id = cp_get_featured_image_id( $post->ID );

		// set the class based on if the hover preview option is set to "yes"
		$prevclass = ( $cp_options->ad_image_preview ) ? 'preview' : 'nopreview';

		if ( $image_id > 0 ) {

			// get 50x50 v3.0.5+ image size
			$adthumbarray = wp_get_attachment_image( $image_id, 'ad-slider' );

			// grab the large image for onhover preview
			$adlargearray = wp_get_attachment_image_src( $image_id, 'large' );
			$img_large_url_raw = $adlargearray[0];

			// must be a v3.0.5+ created ad
			if ( $adthumbarray ) {
				echo '<a href="'. get_permalink() .'" title="'. the_title_attribute( 'echo=0' ) .'" class="'. $prevclass .'" data-rel="'. $img_large_url_raw .'">'. $adthumbarray .'</a>';

			// maybe a v3.0 legacy ad
			} else {
				$adthumblegarray = wp_get_attachment_image_src( $image_id, 'thumbnail' );
				$img_thumbleg_url_raw = $adthumblegarray[0];
				echo '<a href="'. get_permalink() .'" title="'. the_title_attribute( 'echo=0' ) .'" class="'. $prevclass .'" data-rel="'. $img_large_url_raw .'">'. $adthumblegarray .'</a>';
			}

		// no image so return the placeholder thumbnail
		} else {
			echo '<a href="' . get_permalink() . '" title="' . the_title_attribute( 'echo=0' ) . '"><img class="attachment-sidebar-thumbnail" alt="" title="" src="' . appthemes_locate_template_uri( 'images/no-thumb-slider.jpg' ) . '" /></a>';
		}

	}
endif;

if ( ! function_exists( 'cp_get_image_url' ) ) {
	function cp_get_image_url() {
		global $post;

		// go see if any images are associated with the ad
		$images = get_children( array( 'post_parent' => $post->ID, 'post_status' => 'inherit', 'numberposts' => 1, 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'ID' ) );

		if ( $images ) {

			// move over bacon
			$image = array_shift( $images );

			$alt = get_post_meta( $image->ID, '_wp_attachment_image_alt', true );
			// see if this v3.0.5+ image size exists

			$image_size = ( fl_get_option( 'fl_layout_width' ) == 'extra' ) ? 'ad-single-large' : 'ad-single';

			$adthumbarray = wp_get_attachment_image_src( $image->ID, $image_size );
			$img_medium_url_raw = $adthumbarray[0];

			// grab the large image for onhover preview
			$adlargearray = wp_get_attachment_image_src( $image->ID, 'full' );
			$img_large_url_raw = $adlargearray[0];

			// must be a v3.0.5+ created ad
			if ( $adthumbarray ) {
				echo '<a href="'. $img_large_url_raw .'" class="img-main" data-rel="colorbox" title="'. the_title_attribute( 'echo=0' ) .'"><img src="'. $img_medium_url_raw .'" title="'. $alt .'" alt="'. $alt .'" /></a>';
			}

		// no image so return the placeholder thumbnail
		} elseif( !fl_get_option( 'fl_hide_single_ad_placeholder' ) ) {
			echo '<img class="attachment-medium" alt="" title="" src="' . appthemes_locate_template_uri( 'images/no-thumb.jpg' ) . '" />';
		}

	}
}